Skip to main content
`Ctrl`+`K`

# DMLabelHasValue

Determine whether a label assigns the value to any point

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelHasValue(DMLabel label, PetscInt value, PetscBool *contains)

Not Collective

## Input Parameters

- label - the `DMLabel`

- value - the value

## Output Parameter

- contains - Flag indicating whether the label maps this value to any point

## See Also

`DMLabel`, `DM`, `DMLabelHasPoint()`, `DMLabelGetValue()`, `DMLabelSetValue()`

## Level

developer

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages